/* Hero section */

#hero {
    font-family: "Roboto", system-ui, -apple-system, sans-serif;
    
    min-height: 100dvh;

    display: grid;
    place-items: center;

    overflow: clip;
    position: relative;
    isolation: isolate;
}
#hero::after {
    content: "";
    position: absolute;
    inset: 0;

    background: linear-gradient(
        to right,
        hsla(225, 21%, 7%, 0.95),
        hsla(225, 21%, 7%, 0.65)
    );

    z-index: -1;
}
#hero picture.back-gr {
    position: absolute;
    inset: 0;
    z-index: -1;
}
#hero picture.back-gr img {
    min-width: 100%;
    min-height: 100%;
}

#hero .hero-inner {
    padding-block: 15rem 7.5rem;

    display: grid;
    gap: 3rem;
}

#hero .hero-inner .neon-box {
    max-width: max-content;
}

#hero .hero-inner h1 {
    max-width: 18ch;

    font-size: 7.2rem;
    line-height: 1.25;
    font-style: italic;
    text-transform: uppercase;
    color: var(--font-col-600);
    margin-bottom: 1.5rem;
}

#hero .hero-inner p {
    max-width: 80ch;

    font-size: 2rem;
    font-weight: 500;
    line-height: 1.5;
    color: var(--font-col-400);

    text-align: justify;
}

#hero .hero-inner ul {
    list-style: none;

    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(min(22.5rem, 100%), 1fr));
    gap: 2rem;
}

#hero .hero-inner ul li strong {
    display: block;
    font-size: 3rem;
    font-weight: 700;
    color: var(--yellow);
}
#hero .hero-inner ul li small {
    font-size: 1.4rem;
    color: var(--font-col-300);
}

#hero .hero-inner .buttons {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 1.5rem;
}

/* Coverage */
#coverage,
#specials,
#transloading-solutions,
#transloading-works,
#thrive {
    padding-block: 8rem;
}
#coverage .-main-box,
#specials .-main-box,
#transloading-solutions .-main-box,
#transloading-works .-main-box,
#thrive .-main-box {
    display: grid;
    gap: 3.2rem;
}

#coverage p.text,
#specials p.text,
#transloading-solutions p.text,
#transloading-works p.text,
#thrive p.text {
    margin-inline: auto;
    max-width: 80ch;

    font-size: 1.8rem;
    font-weight: 500;
    line-height: 1.625;
    text-align: center;
    color: var(--font-col-400);
}

#coverage ul,
#specials ul,
#transloading-solutions ul,
#transloading-works ul,
#thrive ul {
    --size: minmax(38rem, 1fr);
    width: 100%;

    display: grid;
    grid-template-columns: repeat(auto-fit, var(--size));
    place-content: center;
    gap: 3.2rem;
}
#coverage ul li,
#specials ul li,
#transloading-solutions ul li,
#transloading-works ul li,
#thrive ul li {
    padding: 2.4rem;

    display: grid;
    grid-template-rows: subgrid;
    grid-row: span 3;
    gap: 1.6rem;

    border: 1px solid var(--border-col);
    border-radius: 1.6rem;
}
#coverage ul li .strong-ico,
#thrive ul li .strong-ico {
    width: 5.6rem;
    & svg {
        --d: 28px;
    }
}
#coverage ul li h3,
#specials ul li h3,
#transloading-solutions ul li h3,
#transloading-works ul li h3,
#thrive ul li h3 {
    font-size: 2rem;
    font-weight: 700;
    text-transform: uppercase;
    color: var(--font-col-600);
}
#coverage ul li span,
#specials ul li span,
#transloading-solutions ul li span,
#transloading-works ul li span,
#thrive ul li span {
    font-size: 1.4rem;
    font-weight: 500;
    line-height: 1.625;
    color: var(--font-col-300);
}
#coverage .card-block p {
    font-size: 1.8rem;
    font-weight: 500;
    color: var(--font-col-400);
}


#specials {
    background-color: var(--main-col2);
}
#specials ul li {
    background-color: var(--main-col1);
}
#specials ul li h3 {
    font-size: 3rem;
    text-wrap: balance;
}
#specials ul li .strong-ico {
    width: 4.8rem;
    & svg {
        --d: 24px;
    }
}


#transloading-solutions ul li {
    background-color: var(--main-col2);

    position: relative;
    isolation: isolate;
    overflow: clip;
}
#transloading-solutions ul li::after {
    content: "";

    position: absolute;
    inset: 0;

    background: linear-gradient(
        to bottom,
        transparent,
        var(--main-col2) 55%
    );

    z-index: -1;
}

#transloading-solutions ul picture {
    position: absolute;
    inset-inline: 0;

    aspect-ratio: 2 / 1;

    display: flex;
    align-items: center;
    justify-content: center;
    
    overflow: hidden;
    z-index: -2;
}
#transloading-solutions ul picture img {
    width: 100%;
    object-fit: contain;
    object-position: center;
}

#transloading-solutions ul li .strong-ico {
    margin-top: 12rem;
}


#transloading-works {
    background-color: var(--main-col2);
}
#transloading-works ul {
    --size: 28rem;
}
#transloading-works ul li {
    background-color: var(--main-col1);
    grid-row: span 2;
}


/* One Provider */
#one-provider ul {
    list-style: none;

    display: grid;
    gap: 1.2rem;
}
#one-provider ul li {
    display: flex;
    align-items: center;
    gap: 1.2rem;

    font-size: 1.6rem;
    line-height: 1.625;
    color: var(--font-col-500);
}
#one-provider ul li svg {
    color: var(--yellow);
}

.slide .text-block h2 {
    text-align: left;
    line-height: 1.25;
}

/* Slide Cards */
.slide .slide-card {
    padding: 4.8rem;
    aspect-ratio: 1.65 / 1;

    display: grid;
    place-items: center;
    place-content: center;
    gap: 2.4rem;

    background: linear-gradient(
        135deg,
        var(--main-col1),
        var(--main-col2)
    );

    border: 1px solid var(--border-col);
    border-radius: 1.6rem;
}

.slide .slide-card svg {
    --size: 12.8rem;
    color: var(--yellow);
}
.slide .slide-card h3 {
    font-size: 2.4rem;
    font-weight: 700;
    text-align: center;
    text-transform: uppercase;
    color: var(--font-col-600);
}
.slide .slide-card p.text {
    text-align: center;
    color: var(--font-col-400);
}

/* THRIVE WITHOUT TRANSLOADING */

#thrive {
    background-color: var(--main-col2);
}
#thrive ul {
    --size: 28rem;
}
#thrive ul li {
    place-items: center;
    background-color: var(--main-col1);
}
#thrive ul li h3 {
    font-size: 2.4rem;
}
#thrive ul li span {
    text-align: center;
}


/* READY TO TRANSFORM YOUR FULFILLMENT? */

#transform {
    padding-block: 8rem;
    background-color: var(--main-col2);
}
#transform .-main-box {
    display: grid;
    justify-items: center;
    gap: 4rem;
}
#transform h2 {
    font-size: 4.8rem;
}
#transform p {
    max-width: 65ch;

    font-size: 2rem;
    line-height: 1.625;
    color: var(--font-col-600);
    text-align: center;
}
#transform .buttons {
    display: flex;
    align-items: center;
    gap: 1.2rem;
}
#transform ul {
    list-style: none;
    width: 100%;

    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: 2.4rem;
}
#transform ul li {
    width: min(24rem, 100%);
    padding: 2.4rem 3.6rem;

    display: grid;
    place-items: center;
    gap: 1.2rem;

    background-color: var(--main-col1);
    border: 1px solid var(--border-col);
    border-radius: 6px;
}

#transform ul li strong {
    font-size: 3rem;
    font-weight: 700;
    color: var(--yellow);
}
#transform ul li span {
    font-size: 1.4rem;
    color: var(--font-col-300);
    text-transform: uppercase;
}